| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TerrainAutoUpdateLodByDistance Class Reference
Optional Components » Terrain

Class implementing TerrainAutoUpdateLod interface. More...

`#include <OgreTerrainAutoUpdateLod.h>`

Inheritance diagram for Ogre::TerrainAutoUpdateLodByDistance:
[legend]

## Public Member Functions
virtual void | autoUpdateLod (Terrain *terrain, bool synchronous, const Any &data)
| Method to be called to change terrain's LOD level. More...
virtual uint32 | getStrategyId ()

## Detailed Description

Class implementing TerrainAutoUpdateLod interface.

It does LOD level increase/decrease according to camera's distance to Terrain.

## Member Function Documentation

## ◆ autoUpdateLod()

virtual void Ogre::TerrainAutoUpdateLodByDistance::autoUpdateLod | ( | Terrain * | terrain,
|  | bool | synchronous,
|  | const Any & | data
| ) |  |
| virtual

Method to be called to change terrain's LOD level.

Parameters

  terrain | Instance of Terrain which LOD level is going to be changed
  synchronous | Run this as part of main thread or in background
  data | Any user specific data.

Implements Ogre::TerrainAutoUpdateLod.

## ◆ getStrategyId()

virtual uint32 Ogre::TerrainAutoUpdateLodByDistance::getStrategyId | ( |  | ) |
| inline virtual

Implements Ogre::TerrainAutoUpdateLod.

References Ogre::BY_DISTANCE.

The documentation for this class was generated from the following file:

- OgreTerrainAutoUpdateLod.h